#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include <stddef.h>
#include <stddef.h>

int main()
{
  size_t loop_iteration;
  size_t rand_start;
  size_t rand_size;
  FILE * fd;
  int out[64];
  int random_data[64];

  fd = fopen("/dev/urandom", "r");
  fread(random_data, 1, sizeof(random_data), fd);
  fclose(fd);
  rand_start = 0;
  rand_size  = sizeof(out);
  for (loop_iteration = 0 ; loop_iteration < 1000000000 ; ++loop_iteration)
    memmove(&out[rand_start], &random_data[rand_start], rand_size);
  return 0;
}
